org.apache.fop.util

## Class UnclosableInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.fop.util.UnclosableInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class UnclosableInputStream
    extends FilterInputStream

Provides an InputStreamFilter which avoids closing the original stream.

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`UnclosableInputStream(InputStream in)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Does not close the original stream.

### Methods inherited from class java.io.FilterInputStream

`available, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnclosableInputStream

    public UnclosableInputStream(InputStream in)

Default constructor.

Parameters:
  `in` - the Stream to filter.

### Method Detail

#### close

    public void close()

Does not close the original stream.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `FilterInputStream`